#include <stdio.h>
#include <stdlib.h>

int main()
{
    int A,B,C,X,brA=0,brB=0,brC=0,brx1,brx2,x1,x2,x3,cA,cB,cC,A1,B1,C1,A2,B2,C2;
    scanf("%d%d%d",&A,&B,&C);
    A1=A;B1=B;C1=C;
    A2=A;B2=B;C2=C;
    while(A1>0)
    {cA=A1%10;
    A1=A1/10;}
    while(B1>0)
    {cB=B1%10;
    B1=B1/10;}
    while(C1>0)
    {cC=C1%10;
    C1=C1/10;}
    while (A2>0)
    {A2=A2/10;
    ++brA;}
    while (B2>0)
    {B2=B2/10;
    ++brB;}
    while (C2>0)
    {C2=C2/10;
    ++brC;}
    if (cA>=cB)
    {if(cB>=cC)
        {x1=A;
        brx1=brB+brC;
        x2=B;
        brx2=brC;
        x3=C;}
        else if (cC>=cB)
        {if (cC>=cA)
            {x1=C;
            brx1=brB+brA;
            x2=A;
            brx2=brB;
            x3=B;}
            else if (cA>=cC)
            {x1=A;
            brx1=brB+brC;
            x2=C;
            brx2=brB;
            x3=B;}}}
    if (cB>=cA)
    {if(cA>=cC)
        { x1=B;
        brx1=brA+brC;
        x2=A;
        brx2=brC;
        x3=C;}
        else if (cC>=cA)
        {if (cB>=cC)
            {x1=B;
            brx1=brA+brC;
            x2=C;
            brx2=brA;
            x3=A;}
            else if (cC>=cB)
            {x1=C;
            brx1=brB+brA;
            x2=B;
            brx2=brA;
            x3=A;}}}
    if (cA==cB && cB==cC)
    {if (A>B)
    {if(B>C)
        {x1=A;
        brx1=brB+brC;
        x2=B;
        brx2=brB;
        x3=C;}
        else if (C>B)
        {if (C>A)
            {x1=C;
            brx1=brA+brB;
            x2=A;
            brx2=brB;
            x3=B;}
            else if (A>C)
            {x1=A;
            brx1=brB+brC;
            x2=C;
            brx2=brB;
            x3=B;}}}
    if (B>A)
    {if(A>C)
        {x1=B;
        brx1=brA+brC;
        x2=A;
        brx2=brC;
        x3=C;}
        else if (C>A)
        {if (B>C)
            {x1=B;
            brx1=brA+brC;
            x2=C;
            brx2=brA;
            x3=A;}
            else if (C>B)
            {x1=C;
            brx1=brA+brB;
            x2=B;
            brx2=brA;
            x3=A;}}}}
    X=x1*pow(10,brx1)+x2*pow(10,brx2)+x3;
    printf("%d",X);
    return 0;
}